## sonic 0.1.17

=== Makefile ===
# Note that -pthread is only included so that older Linux builds will be thread
# safe.  We call malloc, and older Linux versions only linked in the thread-safe
# malloc if -pthread is specified.

#CFLAGS=-Wall -g -ansi -fPIC -pthread
CFLAGS=-Wall -O2 -ansi -fPIC -pthread
LIB_TAG=0.1.17
CC=gcc
PREFIX=/usr

all: sonic libsonic.so.$(LIB_TAG) libsonic-$(LIB_TAG).a

sonic: wave.o main.o libsonic.so.$(LIB_TAG)
	$(CC) $(CFLAGS) -lsndfile libsonic.so.$(LIB_TAG) -o sonic wave.o main.o

sonic.o: sonic.c sonic.h
	$(CC) $(CFLAGS) -c sonic.c

wave.o: wave.c wave.h
	$(CC) $(CFLAGS) -c wave.c

main.o: main.c sonic.h wave.h
	$(CC) $(CFLAGS) -c main.c

libsonic.so.$(LIB_TAG): sonic.o
	$(CC) $(CFLAGS) -shared -Wl,-soname,libsonic.so.0 sonic.o -o libsonic.so.$(LIB_TAG)
	ln -sf libsonic.so.$(LIB_TAG) libsonic.so
	ln -sf libsonic.so.$(LIB_TAG) libsonic.so.0

libsonic-$(LIB_TAG).a: sonic.o

install: sonic libsonic.so.$(LIB_TAG) sonic.h
	install -d $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/include $(DESTDIR)$(PREFIX)/lib
	install sonic $(DESTDIR)$(PREFIX)/bin
	install sonic.h $(DESTDIR)$(PREFIX)/include
	install libsonic.so.$(LIB_TAG) $(DESTDIR)$(PREFIX)/lib
	ln -sf libsonic.so.$(LIB_TAG) $(DESTDIR)$(PREFIX)/lib/libsonic.so
	ln -sf libsonic.so.$(LIB_TAG) $(DESTDIR)$(PREFIX)/lib/libsonic.so.0

uninstall: 
	rm -f $(DESTDIR)$(PREFIX)/bin/sonic 
	rm -f $(DESTDIR)$(PREFIX)/include/sonic.h
	rm -f $(DESTDIR)$(PREFIX)/lib/libsonic.so.$(LIB_TAG)
	rm -f $(DESTDIR)$(PREFIX)/lib/libsonic.so
	rm -f $(DESTDIR)$(PREFIX)/lib/libsonic.so.0

clean:
	rm -f *.o sonic libsonic.so*

=== debian/changelog ===
sonic (0.1.17-1ubuntu1) oneiric; urgency=low

  * debian/patches/fix-ftbfs-with-ld-as-needed:
    - Fix ftbfs with ld --as-needed (LP: #803198, Closes: #632251)

 -- Angel Abad <angelabad@ubuntu.com>  Thu, 30 Jun 2011 23:12:01 +0200

sonic (0.1.17-1) unstable; urgency=low

  * Removed Sonic-NDK, which is a binary compiled for Android from the source
    tar-ball.

 -- Bill Cox <waywardgeek@gmail.com>  Tue, 19 Apr 2011 07:46:51 -0400

sonic (0.1.16-1) unstable; urgency=low

  * Added a bit more explanation about copyrights of various files.
  * Dump git log to ChangeLog

 -- Bill Cox <waywardgeek@gmail.com>  Sat, 16 Apr 2011 16:49:33 -0400

sonic (0.1.15-1) unstable; urgency=low

  * Updates to improve Debian packaging.

 -- Bill Cox <waywardgeek@gmail.com>  Fri, 15 Apr 2011 12:32:30 -0400

sonic (0.1.14-1) unstable; urgency=low

  * Changed default install to /usr, rather than /usr/local

 -- Bill Cox <waywardgeek@gmail.com>  Thu, 14 Apr 2011 14:37:47 -0400

sonic (0.1.13-1) unstable; urgency=low

  * Added rate control, and a new pitch control mode.

 -- Bill Cox <waywardgeek@gmail.com>  Tue, 11 Jan 2011 07:44:38 -0500

sonic (0.1.12-1) unstable; urgency=low

  * Added web page, compile with -pthread.

 -- Bill Cox <waywardgeek@gmail.com>  Sun, 09 Jan 2011 11:45:54 -0500

sonic (0.1.11-1) unstable; urgency=low

  * Removing .git and debian directory from orig.tar.gz file

 -- Bill Cox <waywardgeek@gmail.com>  Mon, 20 Dec 2010 15:31:40 -0500

sonic (0.1.10-1) unstable; urgency=low

  * Initial packaging. Closes: #607477

 -- Bill Cox <waywardgeek@gmail.com>  Fri, 17 Dec 2010 15:39:53 -0500

=== debian/control ===
Source: sonic
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bill Cox <waywardgeek@gmail.com>
Build-Depends: libsndfile1-dev, debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://vinux-project.org/sonic
Vcs-Browser: http://vinux-project.org/gitweb/?p=sonic.git;a=summary
Vcs-Git: git://vinux-project.org/sonic

Package: sonic
Architecture: any
Depends: libsonic0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Simple utility to speed up or slow down speech
 Sonic is a very simple utility that reads and writes wav files,
 and speeds them up or slows them down, with low distortion.
 The key new feature in Sonic versus other libraries is very
 high quality at speed up factors well over 2X.

Package: libsonic0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple library to speed up or slow down speech
 This package contains just the actual library.
 libsonic is a very simple library for speeding up or slowing
 down speech.  It has only basic dependencies, and is meant to
 work on both Linux destop machines and embedded systems.
 The key new feature in Sonic versus other libraries is very
 high quality at speed up factors well over 2X.

Package: libsonic-dev
Architecture: any
Section: libdevel
Depends: libsonic0 (= ${binary:Version}), ${misc:Depends}
Suggests: sonic
Description: Header file for linking to libsonic
 This package contains just the sonic header file.
 It is needed only by developers wishing to link to libsonic.
 The key new feature in Sonic versus other libraries is very
 high quality at speed up factors well over 2X.

## sonic 0.1.18

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 #CFLAGS=-Wall -g -ansi -fPIC -pthread
 CFLAGS=-Wall -O2 -ansi -fPIC -pthread
-LIB_TAG=0.1.17
+LIB_TAG=0.1.18
 CC=gcc
 PREFIX=/usr

=== debian/changelog ===
sonic (0.1.18-0ubuntu1) raring; urgency=low

  [ Matthew Fischer ]
  * New upstream release.  (LP: #1057272)
  * debian/copyright: License updated to allow Sonic.java and sonic.c
    to be directly included in a project rather than linking.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 13 Nov 2012 16:46:12 -0500

sonic (0.1.17-1.1build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 22:57:25 +0100

sonic (0.1.17-1.1) unstable; urgency=low

  [ Luke Yelavich ]
  * Non-maintainer upload with maintainer's approval

  [ Angel Abad ]
  * debian/patches/fix-ftbfs-with-ld-as-needed:
    - Fix ftbfs with ld --as-needed (LP: #803198, Closes: #632251)

  [ Luke Yelavich ]
  * Non-maintainer upload with maintainer's approval
  * debian/patches/add-libdir.patch: Use $LIBDIr when installing the library
    files, and allow an alternative LIBDIR to be specified on the make
    command-line
  * debian/control:
    - Update homepage field (Closes: #644846)
    - Add required fields for Multi-Arch support
    - Fixes typo in libsonic0 package description (Closes: #644848)
    - Bumped standards version to 3.9.2
    - Point Vcs fields to a valid packaging location (Closes: #644847)
  * debian/rules:
    - Use the package's make install command, setting the LIBDIR to the
      multi-arch lib path
  * debian/*.install: Get package files from tmp directory
  * debian/watch: Update URL
  * debian/gbp.conf: Set some defaults for git packaging
  * Build a static library (Closes: #632496)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 21 Oct 2011 13:04:03 +1100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bill Cox <waywardgeek@gmail.com>
 Build-Depends: libsndfile1-dev, debhelper (>= 7.0.50~)
-Standards-Version: 3.9.1
-Homepage: http://vinux-project.org/sonic
-Vcs-Browser: http://vinux-project.org/gitweb/?p=sonic.git;a=summary
-Vcs-Git: git://vinux-project.org/sonic
+Standards-Version: 3.9.2
+Homepage: http://dev.vinux-project.org/sonic
+Vcs-Browser: http://git.debian.org/?p=pkg-a11y/sonic.git;a=summary
+Vcs-Git: git://git.debian.org/git/pkg-a11y/sonic.git
 
 Package: sonic
 Architecture: any
+Multi-Arch: foreign
 Depends: libsonic0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Simple utility to speed up or slow down speech
  Sonic is a very simple utility that reads and writes wav files,
@@ -21,18 +22,22 @@
 Package: libsonic0
 Architecture: any
 Section: libs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Simple library to speed up or slow down speech
  This package contains just the actual library.
  libsonic is a very simple library for speeding up or slowing
  down speech.  It has only basic dependencies, and is meant to
- work on both Linux destop machines and embedded systems.
+ work on both Linux desktop machines and embedded systems.
  The key new feature in Sonic versus other libraries is very
  high quality at speed up factors well over 2X.
 
 Package: libsonic-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libsonic0 (= ${binary:Version}), ${misc:Depends}
 Suggests: sonic
 Description: Header file for linking to libsonic

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
http://dev.vinux-project.org/sonic/download/sonic_(.+).tar.gz

## sonic 0.2.0

=== Makefile ===
# This file was written by Bill Cox in 2010, and is licensed under the Apache
# 2.0 license.
#
# Note that -pthread is only included so that older Linux builds will be thread
# safe.  We call malloc, and older Linux versions only linked in the thread-safe
# malloc if -pthread is specified.

SONAME=soname
UNAME := $(shell uname)
ifeq ($(UNAME), Darwin)
  SONAME=install_name
endif
#CFLAGS=-Wall -g -ansi -fPIC -pthread
CFLAGS=-Wall -O3 -ansi -fPIC -pthread
LIB_TAG=0.2.0
CC=gcc
PREFIX=/usr
LIBDIR=$(PREFIX)/lib

all: sonic libsonic.so.$(LIB_TAG) libsonic.a

sonic: wave.o main.o libsonic.so.$(LIB_TAG)
	$(CC) $(CFLAGS) -o sonic wave.o main.o libsonic.so.$(LIB_TAG)

sonic.o: sonic.c sonic.h
	$(CC) $(CFLAGS) -c sonic.c

wave.o: wave.c wave.h
	$(CC) $(CFLAGS) -c wave.c

main.o: main.c sonic.h wave.h
	$(CC) $(CFLAGS) -c main.c

libsonic.so.$(LIB_TAG): sonic.o
	$(CC) $(CFLAGS) -shared -Wl,-$(SONAME),libsonic.so.0 sonic.o -o libsonic.so.$(LIB_TAG)
	ln -sf libsonic.so.$(LIB_TAG) libsonic.so
	ln -sf libsonic.so.$(LIB_TAG) libsonic.so.0

libsonic.a: sonic.o
	$(AR) cqs libsonic.a sonic.o

install: sonic libsonic.so.$(LIB_TAG) sonic.h
	install -d $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/include $(DESTDIR)$(PREFIX)/lib
	install sonic $(DESTDIR)$(PREFIX)/bin
	install sonic.h $(DESTDIR)$(PREFIX)/include
	install libsonic.so.$(LIB_TAG) $(DESTDIR)$(PREFIX)/lib
	install libsonic.a $(DESTDIR)$(LIBDIR)
	ln -sf libsonic.so.$(LIB_TAG) $(DESTDIR)$(PREFIX)/lib/libsonic.so
	ln -sf libsonic.so.$(LIB_TAG) $(DESTDIR)$(PREFIX)/lib/libsonic.so.0

uninstall: 
	rm -f $(DESTDIR)$(PREFIX)/bin/sonic 
	rm -f $(DESTDIR)$(PREFIX)/include/sonic.h
	rm -f $(DESTDIR)$(PREFIX)/lib/libsonic.so.$(LIB_TAG)
	rm -f $(DESTDIR)$(PREFIX)/lib/libsonic.so
	rm -f $(DESTDIR)$(PREFIX)/lib/libsonic.so.0
	rm -f $(DESTDIR)$(LIBDIR)/libsonic.a

clean:
	rm -f *.o sonic libsonic.so* libsonic.a

=== debian/changelog ===
sonic (0.2.0-7) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0 (no changes).
  * tests/control: Add autopkgtest.
  * control: Mark libsonic-java Multi-Arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Oct 2018 18:34:06 +0200

sonic (0.2.0-6) unstable; urgency=medium

  * rules: Bump java compatibility to 1.6.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Mar 2018 11:57:00 +0100

sonic (0.2.0-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Do not build java stuff during arch-only build
    (Closes: #841754).

  [ Samuel Thibault ]
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Oct 2017 17:52:54 +0200

sonic (0.2.0-4) unstable; urgency=medium

  * compat: Bump to 9.
  * rules: Clear. Set hardening.
  * control: Drop hardening-wrapper dependency (Closes: #836655).
  * control: Bump Standards-Version to 3.9.8 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 18:53:35 +0200

sonic (0.2.0-3) unstable; urgency=medium

  * Fix Homepage URL in copyright file too.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 21 Aug 2015 14:48:53 +0200

sonic (0.2.0-2) unstable; urgency=medium

  * Fix Homepage URL.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 21 Aug 2015 11:15:40 +0200

sonic (0.2.0-1) unstable; urgency=low

  New upstream release.

  [ Samuel Thibault ]
  * watch: Add github URL.
  * rules:
    - Set DEB_BUILD_HARDENING=1 to enable hardening.
    - Add java build rules.
    - Remove changelog, not shipped any more.
  * control:
    - Depend on hardening-check.
    - Set maintainer to debian-accessibility team.
    - Add myself as uploader.
    - Bump Standards-Version to 3.9.6 (no changes).
    - Add libsonic-java package.
    - Add default-jdk dependency.
  * sonic.docs: install sonic.odt
  * patches/fix-ftbfs-with-ld-as-needed: Remove, merged upstream.
  * patches/sonic-static-lib.patch: Remove, merged upstream.
  * patches/add-libdir.patch: Refresh.

  [ Bill Cox ]
  * copyright: Update to Apache 2.0 licence

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 May 2015 20:41:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: sonic
 Section: sound
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bill Cox <waywardgeek@gmail.com>
-Build-Depends: libsndfile1-dev, debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
-Homepage: http://dev.vinux-project.org/sonic
-Vcs-Browser: http://git.debian.org/?p=pkg-a11y/sonic.git;a=summary
-Vcs-Git: git://git.debian.org/git/pkg-a11y/sonic.git
+Priority: optional
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Uploaders: Bill Cox <waywardgeek@gmail.com>, Samuel Thibault <sthibault@debian.org>
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: default-jdk
+Standards-Version: 4.2.0
+Homepage: https://github.com/waywardgeek/sonic
+Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/sonic.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/sonic.git
 
 Package: sonic
 Architecture: any
@@ -45,3 +46,16 @@
  It is needed only by developers wishing to link to libsonic.
  The key new feature in Sonic versus other libraries is very
  high quality at speed up factors well over 2X.
+
+Package: libsonic-java
+Architecture: all
+Multi-Arch: foreign
+Section: java
+Depends: ${misc:Depends}
+Description: Simple library to speed up or slow down speech - Java bindings
+ This package contains just the Java library.
+ libsonic is a very simple library for speeding up or slowing
+ down speech.  It has only basic dependencies, and is meant to
+ work on both Linux desktop machines and embedded systems.
+ The key new feature in Sonic versus other libraries is very
+ high quality at speed up factors well over 2X.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 

sonic/Sonic.class: Sonic.java
	[ -L sonic ] || ln -s . sonic
	javac -source 1.6 -target 1.6 $<

sonic.jar: sonic/Sonic.class
	jar -cf $@ $^

override_dh_auto_build-indep: sonic.jar

override_dh_auto_clean:
	dh_auto_clean
	rm -f Sonic.class
	rm -f sonic.jar

override_dh_auto_install-arch:
	mkdir -p $(CURDIR)/debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install-indep:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/java
	cp sonic.jar $(CURDIR)/debian/tmp/usr/share/java

=== debian/tests/control ===
Depends: espeak-ng, sonic
Test-command: espeak-ng "Hello, world!" --stdout > $AUTOPKGTEST_TMP/output.wav && sonic -p 2 -v 2 -s 2 $AUTOPKGTEST_TMP/output.wav $AUTOPKGTEST_TMP/output2.wav && sonic -c -p 2 -v 2 -s 2 $AUTOPKGTEST_TMP/output.wav $AUTOPKGTEST_TMP/output3.wav

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
opts=filenamemangle=s/release-/sonic-/ \
  https://github.com/waywardgeek/sonic/releases .*/release-(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
http://vinux-project.org/sonic/download/sonic_(.+).(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
